Page MenuHomePhabricator

FontChanger should use Button to construct its buttons
Closed, ResolvedPublic

Description

The font changer hardcodes classes for mw-ui-button
If we use this abstraction it will make it easier for us to port to OOjs UI
See https://gerrit.wikimedia.org/r/#/c/206016/3 for guidance.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterUse Button to create buttons

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 11:59 PM
Florian claimed this task.Aug 8 2015, 11:13 AM

Change 230299 had a related patch set uploaded (by Florianschmidtwelzow):
Use Button to create buttons

https://gerrit.wikimedia.org/r/230299

Change 230299 merged by jenkins-bot:
Use Button to create buttons

https://gerrit.wikimedia.org/r/230299

Jdlrobson closed this task as Resolved.Aug 12 2015, 12:19 AM